extends Setting
## Setting with a dropdown menu representing an enum value

@onready var dropdown: OptionButton = %Dropdown


func initialize_value(value: Variant) -> void:
	@warning_ignore("unsafe_cast")
	dropdown.selected = dropdown.get_item_index(value as int)


func get_value() -> Variant:
	return dropdown.get_item_id(dropdown.selected)
